org.apache.hadoop.hdfs.server.datanode

## Class ShortCircuitRegistry.RegisteredShm

- java.lang.Object
- - org.apache.hadoop.hdfs.shortcircuit.ShortCircuitShm
  - - org.apache.hadoop.hdfs.server.datanode.ShortCircuitRegistry.RegisteredShm

- All Implemented Interfaces:
    org.apache.hadoop.net.unix.DomainSocketWatcher.Handler
  Enclosing class:
    ShortCircuitRegistry

      public static class ShortCircuitRegistry.RegisteredShm
      extends org.apache.hadoop.hdfs.shortcircuit.ShortCircuitShm
      implements org.apache.hadoop.net.unix.DomainSocketWatcher.Handler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.hdfs.shortcircuit.ShortCircuitShm

      `org.apache.hadoop.hdfs.shortcircuit.ShortCircuitShm.ShmId, org.apache.hadoop.hdfs.shortcircuit.ShortCircuitShm.Slot, org.apache.hadoop.hdfs.shortcircuit.ShortCircuitShm.SlotId, org.apache.hadoop.hdfs.shortcircuit.ShortCircuitShm.SlotIterator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.hdfs.shortcircuit.ShortCircuitShm

      `BYTES_PER_SLOT`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handle(org.apache.hadoop.net.unix.DomainSocket sock)`

    - ### Methods inherited from class org.apache.hadoop.hdfs.shortcircuit.ShortCircuitShm

      `allocAndRegisterSlot, free, getShmId, getSlot, isEmpty, isFull, registerSlot, slotIterator, toString, unregisterSlot`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### handle

          public boolean handle(org.apache.hadoop.net.unix.DomainSocket sock)

      Specified by:
        `handle` in interface `org.apache.hadoop.net.unix.DomainSocketWatcher.Handler`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.